ARCCP(1)

NAME
arccp - copy files

DESCRIPTION

  Usage:

    arccp [OPTION...] source destination

The arccp command copies files to, from and between grid storage elements.

OPTIONS

-h, --help
    Show help options

-p, --passive
    use passive transfer (off by default if secure is on, on by default if secure is not requested)

-n, --nopassive
    do not try to force passive transfer

-f, --force
    force overwrite of existing destination

-i, --indicate
    show progress indicator

-T, --notransfer
    do not transfer, but register source into destination. destination must be a meta-url.

-u, --secure
    use secure transfer (insecure by default)

-y, --cache=path
    path to local cache (use to put file into cache)

-r, --recursive
    operate recursively

-D, --depth=level
    operate recursively up to specified level

-R, --retries=number
    number of retries before failing file transfer

-L, --location=URL
    physical location to write to when destination is an indexing service. Must be specified for indexing services which do not automatically generate physical locations. Can be specified multiple times - locations will be tried in order until one succeeds.

-3, --thirdparty
    perform third party transfer, where the destination pulls from the source (only available with GFAL plugin)

-P, --listplugins
    list the available plugins (protocols supported)

-t, --timeout=seconds
    timeout in seconds (default 20)

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--allowinsecureconnection
    allow TLS connection which failed verification

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arccp command copies files to, from and between grid storage elements. It can also be used to register files in file index catalogues, either automatically as the result of a file transfer, or by using the --notransfer option. For more information on ARC URL syntax please read "Protocols, Uniform Resource Locators (URL) and Extensions Supported in ARC" [NORDUGRID-TECH-7].

If source and/or destination start from '@', the remaining argument is assumed to be a path to a local file containing a list of URLs, one per line. In this case arccp performs like it were called multiple times - once for every URL.

When copying directories both the source and destination must end with the directory separator character and a recursion option -r or -D must be specified.

All data transfer goes through the machine of the caller of arccp, even in the case of two remote endpoints, unless the --thirdparty option is used. With this option credentials are delegated to the destination and it pulls the data directly from the source. The timeout option in this case applies to the entire transfer itself and default timeouts are used for connections to the remote endpoints. Note that third-party transfer is only possible if the GFAL2 plugin is installed.

Depending on the installed libraries (check with -P ), the following protocols may be used: file (file:// prefix may be omitted), http, https, httpg, ftp, gsiftp, srm, root. To connect source or destination to standard input/output use '-' instead of URL.

ENVIRONMENT VARIABLES

X509_USER_PROXY
    The location of the user's Grid proxy file. Shouldn't be set unless the proxy is in a non-standard location.

ARC_LOCATION
    The location where ARC is installed can be specified by this variable. If not specified the install location will be determined from the path to the command being executed, and if this fails a WARNING will be given stating the location which will be used.

ARC_PLUGIN_PATH
    The location of ARC plugins can be specified by this variable. Multiple locations can be specified by separating them by : (; in Windows). The default location is $ARC_LOCATION/lib/arc (\ in Windows).

EXAMPLE
arccp -i gsiftp://example.com/grid/file1.dat /tmp/file1.dat

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arcls(1), arcmkdir(1), arcrename(1), arcrm(1)